%define name lha
%define version	1.14i
%define release %mkrel 12
%define serial 1

Name: %{name}
Summary: An archiving and compression utility for LHarc format archives.
Version: %{version}
Release: %{release}
Source: http://www2m.biglobe.ne.jp/~dolphin/lha/prog/%{name}-114i.tar.bz2
Patch0: lha-1.14i-make.patch
Patch1: lha-1.14e-ext.patch
Patch2: lha-1.14i-fix-includes.patch
Patch3: lha-114i-sec.patch
Patch4: lha-114i-symlink.patch
Patch5: lha-dir_length_bounds_check.patch
Patch6: lha-114i-sec2.patch
License: Freeware-like
Group: Archiving/Compression 
URL: http://www2m.biglobe.ne.jp/~dolphin/lha/lha-unix.htm
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Epoch: %{serial}

%description
LhA is an archiving and compression utility for LHarc format archive.
LhA is mostly used in the Amiga and in the DOS world, but can be used 
under Linux to extract files from .lha and .lzh archives. 

Install the LhA package if you need to extract files from .lha or .lzh
Amiga or DOS archives, or if you have to build LhA archives to
be read on the Amiga or DOS.

%prep
%setup -q -n %{name}-114i
%patch0 -p0
%patch1
%patch2 -p0
%patch4 -p1 -b .symlink

# security fixes
%patch3 -p1 -b .sec
%patch5 -p1 -b .bounds
%patch6 -p1 -b .sec2

%build
make OPTIMIZE="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -s -m 755 src/lha $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/ja/man1
install -m 644 man/lha.n $RPM_BUILD_ROOT%{_mandir}/ja/man1/lha.1

%clean
rm -r $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/lha
%lang(ja) %{_mandir}/ja/man1/lha.1.bz2


%changelog
* Sat Jan 13 2007 Götz Waschk <waschk@mandriva.org> 1.14i-12mdv2007.0
+ Revision: 108282
- drop packager tag
- Import lha



* Sat Jan 13 2007 Gtz Waschk <waschk@mandriva.org> 1.14i-12mdv2007.1
- unpack patches

* Sat Dec 31 2005 Guillaume Cottenceau <gc@mandrakesoft.com> 1.14i-12mdk
- Rebuild

* Thu Sep 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.14i-11mdk
- add symlink patch from fedora
- security update (CAN-2004-0769, CAN-2004-0771, CAN-2004-0694, CAN-2004-0745)

* Tue May  4 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.14i-10mdk
- security update (buffer overflow, directory traversal)

* Fri Feb 27 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.14i-9mdk
- language tag japanese man page
- fix url

* Thu Feb 13 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.14i-8mdk
- rebuild

* Thu Oct 18 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.14i-7mdk
- fix license

* Tue Oct 16 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.14i-6mdk
- fix obsolete-tag Serial
- fix strange-permission

* Tue Sep 11 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.14i-5mdk
- rebuild
- patch includes in order to build

* Mon Jan 22 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.14i-4mdk
- 1.14i
- BM (vieux motard..)

* Wed Aug 30 2000 Etienne Faure <etienne@mandrakesoft.com> 1.14f-4mdk
- rebuilt with _mandir macro

* Sat Mar 25 2000 Daouda Lo <daouda@mandrakesoft.com> 1.14f-3mdk
- fix group   

* Wed Jan 12 2000 Pixel <pixel@mandrakesoft.com>
- fix build as nonroot (owner of the man page)

* Wed Nov 03 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- added japanese man page
- upgraded to 1.14f

* Mon Jul 28 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- added patch to handle .lha extensions.
- fixed make patch.
- upgraded to version 1.14e.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 11)

* Tue Jan 24 1999 Michael Maher <mike@redhat.com>
- this package will never change.
- changed groups

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- built package for 6.0

* Wed Sep 23 1998 Jeff Johnson <jbj@redhat.com>
- add english doco.

* Sat Aug 15 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Oct 21 1997 Donnie Barnes <djb@redhat.com>
- removed man page, wasn't ASCII and caused more harm than good
- spec file cleanups

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
